MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026150Community[OCCT] OCCT:Modeling Algorithmspublic2015-04-25 11:472019-10-16 13:08
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0026150: BRepOffsetAPI_ThruSections doesn't implement history method Generated().
DescriptionThe history method BRepOffsetAPI_ThruSections::Generated don't have implementation. Without the history, it's difficult to implement parametric feature.

There is a method related to history:
TopoDS_Shape BRepOffsetAPI_ThruSections::GeneratedFace (const TopoDS_Shape& Edge) const; but this method won't work if there are punctural vertex or edge splitting for compatibility checking.
Steps To ReproduceSee test cases

bugs modalg_6 bug26150_*
TagsNo tags attached.
Test case numberbugs modalg_6 bug26150_1 - bug26150_18
Attached Files

- Relationships
parent of 0030958resolvedmsv Open CASCADE BRepOffsetAPI_ThruSections operation raises an exception while building history 
related to 0028558closedbugmaster Open CASCADE Test bugs modalg_6 bug26150_17 is failed with FPE switched on 
related to 0029653newjgv Open CASCADE Unable to get generated shapes for some of the arguments of Thrusections operation 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0062958)
git (administrator)
2017-01-24 16:29

Branch CR26150 has been created by jgv.

SHA-1: c8c586546809d134640b2e8b9bb61ac6a6e35571


Detailed log of new commits:

Author: jgv
Date: Tue Jan 24 16:27:13 2017 +0300

    0026150: BRepOffsetAPI_ThruSections doesn't implement history method Generated().
    
    Virtual method Generated is redefined. Now it returns:
    
    - chain of generated faces for sub-edge of a profile;
    - chain of generated edges for sub-vertex of a profile;
    - bunch of chains of generated edges for start or end vertex if it is degenerated section.
(0062959)
jgv (developer)
2017-01-24 16:31

Please review the branch CR26150.
(0063034)
msv (developer)
2017-01-25 16:34

src\BRepOffsetAPI\BRepOffsetAPI_ThruSections.hxx
- 150: BRepOffsetAPI_MakeShape => BRepBuilderAPI_MakeShape

src\BRepOffsetAPI\BRepOffsetAPI_ThruSections.cxx
- myNbEdgesInSection is not initialized in ctor.
- Please insert more comments for not trivial code.

src\BRepTest\BRepTest_SweepCommands.cxx
- 968: add a short description of the genthrus command in its help.
- 443: add check for null pointer Generator.
- 454,834: use const& for Shells.
- 454: In addition, the name "Shells" is not relevant here, since it returns edges or faces.
(0063088)
git (administrator)
2017-01-26 13:22

Branch CR26150 has been updated by jgv.

SHA-1: 854e518d9422c22418823d6c7a5cb99cbbc343cf


Detailed log of new commits:

Author: jgv
Date: Thu Jan 26 13:21:49 2017 +0300

    Correction according to the remarks.

(0063089)
jgv (developer)
2017-01-26 13:22

Please review updated branch.
(0063095)
msv (developer)
2017-01-26 16:15

Reviewed.
(0063105)
git (administrator)
2017-01-26 17:53

Branch CR26150 has been updated forcibly by mkv.

SHA-1: bdc8476a99e7d206a0730b8edf1e511335b2e804
(0063129)
mkv (tester)
2017-01-27 16:30

Dear BugMaster,
Branch CR26150 was rebased on IR-2017-01-26 of occt git-repository.
SHA-1: bdc8476a99e7d206a0730b8edf1e511335b2e804
(0063130)
mkv (tester)
2017-01-27 16:31

Dear BugMaster,
Branch CR26150 from occt git-repository (and IR-2017-01-26 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: bdc8476a99e7d206a0730b8edf1e511335b2e804

Number of compiler warnings:

occt component :
Linux: 7 (0 on master)
Windows: 0 (0 on master)
MacOS : 5 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1142

There are new additional compilation warnings on Linux and MacOS platforms:
http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR26150-master-OCCT-Debian70-64-opt-compile/1/warnings17Result/ [^]
BRepFill_CompatibleWires.cxx:752, GNU C Compiler 4 (gcc), Priority: Normal
type qualifiers ignored on function return type [-Wignored-qualifiers]
BRepFill_CompatibleWires.cxx:761, GNU C Compiler 4 (gcc), Priority: Normal
type qualifiers ignored on function return type [-Wignored-qualifiers]
BRepFill_CompatibleWires.hxx:67, GNU C Compiler 4 (gcc), Priority: Normal
type qualifiers ignored on function return type [-Wignored-qualifiers]
BRepFill_CompatibleWires.hxx:69, GNU C Compiler 4 (gcc), Priority: Normal
type qualifiers ignored on function return type [-Wignored-qualifiers]
BRepOffsetAPI_ThruSections.cxx:247, GNU C Compiler 4 (gcc), Priority: Normal
when initialized here [-Wreorder]
BRepOffsetAPI_ThruSections.hxx:184, GNU C Compiler 4 (gcc), Priority: Normal
'Standard_Real BRepOffsetAPI_ThruSections::myPres3d' [-Wreorder]
BRepOffsetAPI_ThruSections.hxx:188, GNU C Compiler 4 (gcc), Priority: Normal
'BRepOffsetAPI_ThruSections::myDegen2' will be initialized after [-Wreorder]

http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR26150-master-OCCT-MacOS-opt-compile/1/warnings7Result/ [^]
BRepFill_CompatibleWires.cxx:752, Clang (LLVM based), Priority: Normal
'const' type qualifier on return type has no effect
BRepFill_CompatibleWires.cxx:761, Clang (LLVM based), Priority: Normal
'const' type qualifier on return type has no effect
BRepFill_CompatibleWires.hxx:67, Clang (LLVM based), Priority: Normal
'const' type qualifier on return type has no effect
BRepFill_CompatibleWires.hxx:69, Clang (LLVM based), Priority: Normal
'const' type qualifier on return type has no effect
BRepOffsetAPI_ThruSections.cxx:251, Clang (LLVM based), Priority: Normal
field 'myDegen2' will be initialized after field 'myPres3d'

Regressions/Differences/Improvements:
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug27386_5.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug27386_5.html [^]
bugs modalg_6 bug27386_5: FAILED

Testing cases:
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_1.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_1.html [^]
bugs modalg_6 bug26150_1: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_2.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_2.html [^]
bugs modalg_6 bug26150_2: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_3.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_3.html [^]
bugs modalg_6 bug26150_3: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_4.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_4.html [^]
bugs modalg_6 bug26150_4: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_5.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_5.html [^]
bugs modalg_6 bug26150_5: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_6.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_6.html [^]
bugs modalg_6 bug26150_6: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_7.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_7.html [^]
bugs modalg_6 bug26150_7: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_8.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_8.html [^]
bugs modalg_6 bug26150_8: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_9.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_9.html [^]
bugs modalg_6 bug26150_9: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_10.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_10.html [^]
bugs modalg_6 bug26150_10: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_11.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_11.html [^]
bugs modalg_6 bug26150_11: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_12.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_12.html [^]
bugs modalg_6 bug26150_12: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_13.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_13.html [^]
bugs modalg_6 bug26150_13: OK
http://occt-tests/CR26150-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_14.html [^]
http://occt-tests/CR26150-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_14.html [^]
bugs modalg_6 bug26150_14: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91761346 / 92261126 [-0.54%]
Total CPU difference: 19945.040000000245 / 19913.840000000215 [+0.16%]
products component :
Total MEMORY difference: 31447330 / 31477908 [-0.10%]
Total CPU difference: 5604.689999999981 / 5544.959999999981 [+1.08%]

Testing on Windows:
occt component :
Total MEMORY difference: 57622346 / 57617820 [+0.01%]
Total CPU difference: 18418.53886679849 / 18683.147762998648 [-1.42%]
products component :
Total MEMORY difference: 22659099 / 22621210 [+0.17%]
Total CPU difference: 5572.012517799986 / 5570.546108399986 [+0.03%]

There are no differences in images found by testdiff.
(0063131)
mkv (tester)
2017-01-27 16:31

Dear jgv,
Branch CR26150 has been rejected due to:
- additional warnings
- regressions/differences/improvements
(0063371)
git (administrator)
2017-02-02 16:22

Branch CR26150-1 has been created by jgv.

SHA-1: 3f9278a7b5bf3766e5248ab9708b833b639272a2


Detailed log of new commits:

Author: jgv
Date: Thu Feb 2 16:20:40 2017 +0300

    Fix compiler's warnings and add 4 new test cases.

Author: jgv
Date: Thu Jan 26 13:21:49 2017 +0300

    Correction according to the remarks.

Author: jgv
Date: Tue Jan 24 16:27:13 2017 +0300

    0026150: BRepOffsetAPI_ThruSections doesn't implement history method Generated().
    
    Virtual method Generated is redefined. Now it returns:
    
    - chain of generated faces for sub-edge of a profile;
    - chain of generated edges for sub-vertex of a profile;
    - bunch of chains of generated edges for start or end vertex if it is degenerated section.
(0063373)
jgv (developer)
2017-02-02 16:23

Please test the branch CR26150-1.
(0063375)
git (administrator)
2017-02-02 16:49

Branch CR26150-1 has been updated by jgv.

SHA-1: 6b24c6d63ee22bd6ce2e076f87584e9c0fb41f95


Detailed log of new commits:

Author: jgv
Date: Thu Feb 2 16:49:24 2017 +0300

    Correction of mistake.

(0063500)
mkv (tester)
2017-02-07 16:03

Dear BugMaster,
Branch CR26150-1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 3f9278a7b5bf3766e5248ab9708b833b639272a2

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1154

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_1.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_1.html [^]
bugs modalg_6 bug26150_1: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_2.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_2.html [^]
bugs modalg_6 bug26150_2: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_3.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_3.html [^]
bugs modalg_6 bug26150_3: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_4.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_4.html [^]
bugs modalg_6 bug26150_4: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_5.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_5.html [^]
bugs modalg_6 bug26150_5: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_6.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_6.html [^]
bugs modalg_6 bug26150_6: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_7.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_7.html [^]
bugs modalg_6 bug26150_7: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_8.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_8.html [^]
bugs modalg_6 bug26150_8: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_9.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_9.html [^]
bugs modalg_6 bug26150_9: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_10.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_10.html [^]
bugs modalg_6 bug26150_10: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_11.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_11.html [^]
bugs modalg_6 bug26150_11: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_12.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_12.html [^]
bugs modalg_6 bug26150_12: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_13.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_13.html [^]
bugs modalg_6 bug26150_13: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_14.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_14.html [^]
bugs modalg_6 bug26150_14: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_15.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_15.html [^]
bugs modalg_6 bug26150_15: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_16.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_16.html [^]
bugs modalg_6 bug26150_16: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_17.html [^]
bugs modalg_6 bug26150_17: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_18.html [^]
bugs modalg_6 bug26150_18: OK
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_17.html [^]
bugs modalg_6 bug26150_17: FAILED (exception)
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_18.html [^]
bugs modalg_6 bug26150_18: FAILED (exception)

Testing on Linux:
occt component :
Total MEMORY difference: 92348225 / 92286738 [+0.07%]
Total CPU difference: 19960.450000000154 / 19914.050000000218 [+0.23%]
products component :
Total MEMORY difference: 31462366 / 31477908 [-0.05%]
Total CPU difference: 5581.6299999999765 / 5544.959999999981 [+0.66%]

Testing on Windows:
occt component :
Total MEMORY difference: 57622676 / 57618048 [+0.01%]
Total CPU difference: 18235.721294898627 / 18683.178963198647 [-2.39%]
products component :
Total MEMORY difference: 22659107 / 22621210 [+0.17%]
Total CPU difference: 5425.355977699976 / 5570.546108399986 [-2.61%]

There are no differences in images found by testdiff.
(0063501)
mkv (tester)
2017-02-07 16:04

Dear jgv,
Branch CR26150-1 has been rejected due to:
- failed test-case for issue
(0063929)
git (administrator)
2017-02-20 19:13

Branch CR26150-1 has been updated forcibly by mkv.

SHA-1: c8a4afbc5de52a2b59d1b9c032bb19366a6fac70
(0063938)
mkv (tester)
2017-02-21 13:09

Dear BugMaster,
Branch CR26150-1 was rebased on current master of occt git-repository.
SHA-1: c8a4afbc5de52a2b59d1b9c032bb19366a6fac70
(0063939)
mkv (tester)
2017-02-21 13:09

Dear BugMaster,
Branch CR26150-1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: c8a4afbc5de52a2b59d1b9c032bb19366a6fac70

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1201

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_1.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_1.html [^]
bugs modalg_6 bug26150_1: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_2.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_2.html [^]
bugs modalg_6 bug26150_2: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_3.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_3.html [^]
bugs modalg_6 bug26150_3: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_4.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_4.html [^]
bugs modalg_6 bug26150_4: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_5.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_5.html [^]
bugs modalg_6 bug26150_5: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_6.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_6.html [^]
bugs modalg_6 bug26150_6: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_7.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_7.html [^]
bugs modalg_6 bug26150_7: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_8.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_8.html [^]
bugs modalg_6 bug26150_8: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_9.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_9.html [^]
bugs modalg_6 bug26150_9: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_10.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_10.html [^]
bugs modalg_6 bug26150_10: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_11.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_11.html [^]
bugs modalg_6 bug26150_11: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_12.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_12.html [^]
bugs modalg_6 bug26150_12: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_13.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_13.html [^]
bugs modalg_6 bug26150_13: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_14.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_14.html [^]
bugs modalg_6 bug26150_14: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_15.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_15.html [^]
bugs modalg_6 bug26150_15: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_16.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_16.html [^]
bugs modalg_6 bug26150_16: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_17.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_17.html [^]
bugs modalg_6 bug26150_17: OK
http://occt-tests/CR26150-1-master-OCCT/Debian70-64/bugs/modalg_6/bug26150_18.html [^]
http://occt-tests/CR26150-1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug26150_18.html [^]
bugs modalg_6 bug26150_18: OK

Testing on Linux:
occt component :
Total MEMORY difference: 93058428 / 93201772 [-0.15%]
Total CPU difference: 19910.35000000017 / 19801.690000000217 [+0.55%]
products component :
Total MEMORY difference: 30908414 / 31027507 [-0.38%]
Total CPU difference: 5521.049999999969 / 5509.529999999978 [+0.21%]

Testing on Windows:
occt component :
Total MEMORY difference: 57834458 / 57829936 [+0.01%]
Total CPU difference: 18577.3634848985 / 18793.846072598604 [-1.15%]
products component :
Total MEMORY difference: 22194976 / 22156738 [+0.17%]
Total CPU difference: 5486.835971799969 / 5447.523719799975 [+0.72%]

There are no differences in images found by testdiff.
(0063940)
mkv (tester)
2017-02-21 13:10

Dear BugMaster,
Branch CR26150-1 is TESTED.
(0064069)
git (administrator)
2017-03-02 11:22

Branch CR26150-IR has been created by msv.

SHA-1: c945c888577a13f64b59086c6a4c251bfe591e90


Detailed log of new commits:

Author: msv
Date: Thu Mar 2 11:22:46 2017 +0300

    // Compilation warnings are gone.
(0064077)
git (administrator)
2017-03-02 13:09

Branch CR26150-2 has been created by jgv.

SHA-1: 47ee42e4437a735011d10031811b33f22fbcdbd7


Detailed log of new commits:

Author: jgv
Date: Thu Mar 2 13:09:05 2017 +0300

    Fix of compiler warnings

Author: jgv
Date: Thu Feb 2 16:49:24 2017 +0300

    Correction of mistake.

Author: jgv
Date: Thu Feb 2 16:20:40 2017 +0300

    Fix compiler's warnings and add 4 new test cases.

Author: jgv
Date: Thu Jan 26 13:21:49 2017 +0300

    Correction according to the remarks.

Author: jgv
Date: Tue Jan 24 16:27:13 2017 +0300

    0026150: BRepOffsetAPI_ThruSections doesn't implement history method Generated().
    
    Virtual method Generated is redefined. Now it returns:
    
    - chain of generated faces for sub-edge of a profile;
    - chain of generated edges for sub-vertex of a profile;
    - bunch of chains of generated edges for start or end vertex if it is degenerated section.
(0064460)
git (administrator)
2017-03-20 14:33

Branch CR26150-2 has been deleted by inv.

SHA-1: 47ee42e4437a735011d10031811b33f22fbcdbd7
(0064462)
git (administrator)
2017-03-20 14:33

Branch CR26150-IR has been deleted by inv.

SHA-1: c945c888577a13f64b59086c6a4c251bfe591e90
(0064476)
git (administrator)
2017-03-20 14:34

Branch CR26150-1 has been deleted by inv.

SHA-1: c8a4afbc5de52a2b59d1b9c032bb19366a6fac70
(0064512)
git (administrator)
2017-03-20 14:36

Branch CR26150 has been deleted by inv.

SHA-1: bdc8476a99e7d206a0730b8edf1e511335b2e804

- Related Changesets
occt: master 50258e77
Timestamp: 2017-01-24 13:27:13
Author: jgv
Committer: bugmaster
Details ] Diff ]
0026150: BRepOffsetAPI_ThruSections doesn't implement history method Generated().

Virtual method Generated is redefined. Now it returns:

- chain of generated faces for sub-edge of a profile;
- chain of generated edges for sub-vertex of a profile;
- bunch of chains of generated edges for start or end vertex if it is degenerated section.

Correction according to the remarks.

Fix compiler's warnings and add 4 new test cases.

Correction of mistake.

Compilation warnings are gone.
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_CompatibleWires.hxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.hxx Diff ] File ]
mod - src/BRepTest/BRepTest_SweepCommands.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug26150_1 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_10 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_11 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_12 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_13 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_14 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_15 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_16 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_17 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_18 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_2 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_3 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_4 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_5 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_6 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_7 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_8 Diff ] File ]
add - tests/bugs/modalg_6/bug26150_9 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-04-25 11:47 Vico Liang New Issue
2015-04-25 11:47 Vico Liang Assigned To => msv
2015-04-28 15:24 msv Target Version 6.9.0 => 7.1.0
2016-10-28 17:52 msv Target Version 7.1.0 => 7.2.0
2016-12-28 16:17 jgv Assigned To msv => jgv
2016-12-28 17:40 jgv Status new => assigned
2017-01-09 17:46 jgv Relationship added related to 0027386
2017-01-24 16:29 git Note Added: 0062958
2017-01-24 16:31 jgv Note Added: 0062959
2017-01-24 16:31 jgv Assigned To jgv => msv
2017-01-24 16:31 jgv Status assigned => resolved
2017-01-24 16:31 jgv Steps to Reproduce Updated View Revisions
2017-01-25 16:34 msv Note Added: 0063034
2017-01-25 16:34 msv Assigned To msv => jgv
2017-01-25 16:34 msv Status resolved => assigned
2017-01-26 13:22 git Note Added: 0063088
2017-01-26 13:22 jgv Note Added: 0063089
2017-01-26 13:22 jgv Assigned To jgv => msv
2017-01-26 13:22 jgv Status assigned => resolved
2017-01-26 16:15 msv Note Added: 0063095
2017-01-26 16:15 msv Assigned To msv => bugmaster
2017-01-26 16:15 msv Status resolved => reviewed
2017-01-26 17:22 mkv Assigned To bugmaster => mkv
2017-01-26 17:53 git Note Added: 0063105
2017-01-27 16:30 mkv Note Added: 0063129
2017-01-27 16:31 mkv Note Added: 0063130
2017-01-27 16:31 mkv Note Added: 0063131
2017-01-27 16:31 mkv Assigned To mkv => jgv
2017-01-27 16:31 mkv Status reviewed => assigned
2017-01-27 16:32 mkv Test case number => bugs modalg_6 bug26150_1 - bug26150_14
2017-02-02 16:22 git Note Added: 0063371
2017-02-02 16:23 jgv Assigned To jgv => msv
2017-02-02 16:23 jgv Status assigned => resolved
2017-02-02 16:23 jgv Note Added: 0063373
2017-02-02 16:23 jgv Assigned To msv => bugmaster
2017-02-02 16:23 jgv Status resolved => reviewed
2017-02-02 16:45 jgv Assigned To bugmaster => jgv
2017-02-02 16:45 msv Status reviewed => assigned
2017-02-02 16:49 git Note Added: 0063375
2017-02-02 16:50 jgv Assigned To jgv => msv
2017-02-02 16:50 jgv Status assigned => resolved
2017-02-02 16:50 jgv Assigned To msv => bugmaster
2017-02-02 16:50 jgv Status resolved => reviewed
2017-02-02 17:19 mkv Assigned To bugmaster => mkv
2017-02-07 16:03 mkv Note Added: 0063500
2017-02-07 16:04 mkv Note Added: 0063501
2017-02-07 16:04 mkv Assigned To mkv => jgv
2017-02-07 16:04 mkv Status reviewed => assigned
2017-02-07 16:04 mkv Test case number bugs modalg_6 bug26150_1 - bug26150_14 => bugs modalg_6 bug26150_1 - bug26150_18
2017-02-20 19:13 git Note Added: 0063929
2017-02-21 13:09 mkv Note Added: 0063938
2017-02-21 13:09 mkv Note Added: 0063939
2017-02-21 13:10 mkv Note Added: 0063940
2017-02-21 13:10 mkv Assigned To jgv => bugmaster
2017-02-21 13:10 mkv Status assigned => feedback
2017-02-21 13:10 mkv Status feedback => tested
2017-03-02 11:22 git Note Added: 0064069
2017-03-02 13:09 git Note Added: 0064077
2017-03-03 16:25 bugmaster Changeset attached => occt master 50258e77
2017-03-03 16:25 bugmaster Status tested => verified
2017-03-03 16:25 bugmaster Resolution open => fixed
2017-03-15 11:10 msv Relationship added related to 0028558
2017-03-20 14:33 git Note Added: 0064460
2017-03-20 14:33 git Note Added: 0064462
2017-03-20 14:34 git Note Added: 0064476
2017-03-20 14:36 git Note Added: 0064512
2017-09-29 16:20 aiv Fixed in Version => 7.2.0
2017-09-29 16:24 aiv Status verified => closed
2018-03-27 15:15 emv Relationship added related to 0029653
2019-10-16 13:08 jgv Relationship added parent of 0030958


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker